Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.command
Class MouseButtonControl

    java.lang.Object
      org.newdawn.slick.command.MouseButtonControl

All Implemented Interfaces:
  Control

    public class MouseButtonControl

extends java.lang.Object
implements Control

A control indicating that a mouse button must be pressed or released to cause an command

Author:
  joverton

Constructor Summary
`MouseButtonControl(int button)` Create a new control that indicates a mouse button to be pressed or released

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MouseButtonControl

    public MouseButtonControl(int button)

  Create a new control that indicates a mouse button to be pressed or released

  Parameters:
    `button` - The button that should be pressed to cause the command

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.